[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'matrix' (#rtl)

# operator :=(Tvector3_double): Tvector4_extended

Allow assignment of three-dimensional double precision vector to four-dimensional extended precision vector

## Declaration

Source position: matrix.pp line 320

`operator operator :=(Tvector3_double): Tvector4_extended(`
`const v: Tvector3_double`
`):Tvector4_extended;`

## Description

This operator allows you to use a three-dimensional vector with double precision values wherever a four-dimensional vector with extended precision is expected. The fourth dimension is set to 0.

Documentation generated on: Feb 26 2014